<?php
header('Content-Type: application/json');
include_once('./classes/conexao.php');	
if(!isset($_GET['token'])){
	$mensagem = '{"code":"400","message":"Parametros não preenchido!"}';
	echo $mensagem;
    die();
}
$token = 'ajr123';
$chave = $_GET['token'];
if($chave <> $token){
    $mensagem = '{"code":"400","message":"Token invalido!"}';
	echo $mensagem;
    die();	
}
$filial = $_GET['filial'];
$coleta = $_GET['coleta'];
$placa = $_GET['placa'];
$manifesto = $_GET['manifesto'];
$json = file_get_contents("php://input");
$obj = json_decode($json);
foreach($obj as $itemsom){
	$lat = $itemsom->lat;
	$long = $itemsom->long;
	$peso = $itemsom->peso; 
	$volumes = $itemsom->volumes;
	$status = $itemsom->status;
	$ocorrencia = $itemsom->ocorrencia;
	$obs = $itemsom->obs;
	$img = $itemsom->img;
	$assinatura = $itemsom->assinatura;
	$dtmov = $itemsom->dtmov;
	$hrmov = $itemsom->hrmov;
	$usuario = $itemsom->usuario;
}
$peso = str_replace(",", ".", $peso);
$volumes = str_replace(",", ".", $volumes);
if($placa == ''){
	$mensagem = '{"code":"400","message":"Informe a placa!"}';
	echo $mensagem;
    die();	
}
//file_put_contents("./imagens/Coleta-$filial-$coleta.jpg", base64_decode($img));
$update = "update coletas set latitude = '$lat', longitude = '$long', peso = $peso, volumes = $volumes, status = 2, ocorrencia = '$ocorrencia', observacao = '$obs',
imagemcanc = '$img' , assinatura = '$assinatura' , datamovimento = '$dtmov' , horamovimento = '$hrmov', usuario = '$usuario' , statusmobile = 3 
where coleta = '$coleta' and placa = '$placa' and filial = '$filial' and manmanife = '$manifesto' ";

$nupdate = $conn->prepare($update);
$nupdate->execute();
$mensagem = '{"code":"200","message":"Salvo com sucesso!"}';
echo $mensagem;
?>